---
title: empty
slug: Web/JavaScript/Reference/Statements/Empty
tags:
  - JavaScript
  - Language feature
  - Statement
---
<div>{{jsSidebar("Statements")}}</div>

<p>An <strong>empty statement</strong> is used to provide no statement, although the JavaScript syntax would expect one.</p>

<div>{{EmbedInteractiveExample("pages/js/statement-empty.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">;
</pre>

<h2 id="Description">Description</h2>

<p>The empty statement is a semicolon (<code>;</code>) indicating that no statement will be executed, even if JavaScript syntax requires one.</p>

<p>The opposite behavior, where you want multiple statements, but JavaScript only allows a single one, is possible using a<a href="/en-US/docs/Web/JavaScript/Reference/Statements/block"> block statement</a>, which combines several statements into a single one.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Empty_loop_body">Empty loop body</h3>

<p>The empty statement is sometimes used with loop statements. See the following example with an empty loop body:</p>

<pre class="brush: js notranslate">let arr = [1, 2, 3];

// Assign all array values to 0
for (let i = 0; i &lt; arr.length; arr[i++] = 0) /* empty statement */ ;

console.log(arr);
// [0, 0, 0]
</pre>

<h3 id="Unintentional_usage">Unintentional usage</h3>

<p>It is a good idea to comment <em>intentional</em> use of the empty statement, as it is not really obvious to distinguish from a normal semicolon.</p>

<p>In the following example, the usage is probably not intentional:</p>

<pre class="brush: js example-bad notranslate">if (condition);       // Caution, this "if" does nothing!
   killTheUniverse()  // So this always gets executed!!!
</pre>

<p>In the next example, an {{jsxref("Statements/if...else", "if...else")}} statement without curly braces (<code>{}</code>) is used.</p>

<p>If <code>three</code> is <code>true</code>, nothing will happen, <code>four</code> does not matter, and also the <code>launchRocket()</code> function in the <code>else</code> case will not be executed.</p>

<pre class="brush: js example-bad notranslate">if (one)
  doOne();
else if (two)
  doTwo();
else if (three)
  ; // nothing here
else if (four)
  doFour();
else
  launchRocket();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-empty-statement', 'Empty statement')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.statements.empty")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Statements/block", "Block statement")}}</li>
</ul>
